Package twisted :: Package web :: Module twcgi :: Class CGIProcessProtocol |
[frames | no frames]

## Class CGIProcessProtocol

     BaseProtocol --+
                    |
      ProcessProtocol --+
                        |
    Jellyable --+       |
                |       |
     Serializable --+   |
                    |   |
             Viewable --+
                        |
                       CGIProcessProtocol

Method Summary
| `__init__(self, request)`
| ``connectionMade`(self)` Called when a connection is made.
| `errReceived(self, error)`
| ``outReceived`(self, output)` Handle a chunk of input
| `pauseProducing(self)`
| ``processEnded`(self, reason)` This will be called when the subprocess is finished.
| `resumeProducing(self)`
| `stopProducing(self)`
| `view_pauseProducing(self, issuer)`
| `view_resumeProducing(self, issuer)`
| `view_stopProducing(self, issuer)`
Inherited from ProcessProtocol
| ``errConnectionLost`(self)` This will be called when stderr is closed.
| ``inConnectionLost`(self)` Called when stdin is shut down.
| ``outConnectionLost`(self)` Called when stdout is shut down.
Inherited from BaseProtocol
| ``makeConnection`(self, transport)` Make a connection to a transport and a server.
Inherited from Viewable
| ``jellyFor`(self, jellier)` Serialize a `ViewPoint` for me and the perspective of the given broker.
Inherited from Serializable
| ``processUniqueID`(self)` Return an ID which uniquely represents this object for this process.
Inherited from Jellyable
| ``getStateFor`(self, jellier)`

Class Variable Summary
`str` | `errortext` = `''`
`int` | `handling_headers` = 1
`int` | `headers_written` = 0
`str` | `headertext` = `''`
Inherited from BaseProtocol
`int` | `connected` = 0
`NoneType` | `transport` = None
Inherited from Jellyable
`tuple` | `__implements__` = `(<class twisted.spread.interfaces.IJell...`

Method Details

### connectionMade(self) Called when a connection is made. This may be considered the initializer of the protocol, because it is called when the connection is completed. For clients, this is called once the connection to the server has been established; for servers, this is called after an accept() call stops blocking and a socket has been received. If you need to send any greeting or initial message, do it here. Overrides: `twisted.internet.protocol.BaseProtocol.connectionMade` (inherited documentation)

### outReceived(self, output) Handle a chunk of input Overrides: `twisted.internet.protocol.ProcessProtocol.outReceived`

### processEnded(self, reason) This will be called when the subprocess is finished. Parameters: `reason` (type=`twisted.python.failure.Failure`) Overrides: `twisted.internet.protocol.ProcessProtocol.processEnded` (inherited documentation)

Class Variable Details

    ### errortext Type: `str` Value:
        ''

    ### handling_headers Type: `int` Value:
        1

    ### headers_written Type: `int` Value:
        0

    ### headertext Type: `str` Value:
        ''

Generated by Epydoc 2.0 on Sat Oct 25 00:54:55 2003 | http://epydoc.sf.net